Bug 76374 - rhn_register keeps segfaulting - RH 7.2
rhn_register keeps segfaulting - RH 7.2
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 22:22 EDT by R P Herrold
Modified: 2015-01-07 19:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 23:48:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-10-20 22:22:44 EDT
Even with rebuilding the RPM database, and manually updating to the latest rhn_
and up2date at updates.redhat.com, I cannot get a registration to take ... Let
me know if you need additional information


[root@landlocked dl]# ls
kernel-2.4.18-3.i386.rpm          rhn_register-2.7.21-7.x.3.i386.rpm
python-clap-1.0.0-3.noarch.rpm    up2date-2.7.86-7.x.3.i386.rpm
python-popt-0.8.8-7.x.2.i386.rpm
[root@landlocked dl]# rpm -Uvh --force rhn_register-2.7.21-7.x.3.i386.rpm
up2date-2.7.86-7.x.3.i386.rpm
Preparing...                ########################################### [100%]
   1:rhn_register           ########################################### [ 50%]
   2:up2date                ########################################### [100%]
[root@landlocked dl]# rhn_register --nox
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 226, in ?
    main()
  File "/usr/sbin/rhn_register", line 207, in main
    tui.main()
  File "/usr/share/rhn/register/tui.py", line 1042, in main
    tui.run()
  File "/usr/share/rhn/register/tui.py", line 986, in run
    win = self.windows[index](self.screen, self)
  File "/usr/share/rhn/register/tui.py", line 599, in __init__
    self.versionLabel2 = snack.Label(rhnreg.getVersion())
  File "/usr/share/rhn/register/rhnreg.py", line 225, in getVersion
    release, version = getOSVersionAndRelease()
  File "/usr/share/rhn/register/rhnreg.py", line 209, in getOSVersionAndRelease
    db = rpm.opendb(0, "/")
AttributeError: opendb
[root@landlocked dl]# ls -al /var/lib/rpm
total 22478
drwxr-xr-x    2 rpm      rpm          1024 Oct 20 22:15 .
drwxr-xr-x   16 root     root         1024 Oct 20 22:17 ..
-rw-r--r--    1 rpm      rpm       2637824 Oct 20 22:18 Basenames
-rw-r--r--    1 rpm      rpm         12288 Oct 20 00:21 Conflictname
-rw-r--r--    1 rpm      rpm        294912 Oct 20 22:18 Dirnames
-rw-r--r--    1 rpm      rpm       2543616 Oct 20 22:18 Filemd5s
-rw-r--r--    1 rpm      rpm         12288 Oct 20 22:18 Group
-rw-r--r--    1 rpm      rpm         12288 Oct 20 22:18 Installtid
-rw-r--r--    1 rpm      rpm         24576 Oct 20 22:18 Name
-rw-r--r--    1 root     root      8564736 Oct 20 22:18 Packages
-rw-r--r--    1 rpm      rpm       8499200 Sep 23 06:56 Packages-ORIG
-rw-r--r--    1 rpm      rpm         86016 Oct 20 22:18 Providename
-rw-r--r--    1 rpm      rpm         36864 Oct 20 22:18 Provideversion
-rw-r--r--    1 root     root        12288 Sep 19 17:44 Pubkeys
-rw-r--r--    1 rpm      rpm        102400 Oct 20 22:18 Requirename
-rw-r--r--    1 rpm      rpm         65536 Oct 20 22:18 Requireversion
-rw-r--r--    1 rpm      rpm         12288 Oct 20 22:18 Sha1header
-rw-r--r--    1 rpm      rpm         24576 Oct 20 22:18 Sigmd5
-rw-r--r--    1 rpm      rpm         12288 Oct 20 22:18 Triggername
-rw-r--r--    1 root     root         8192 Oct 20 22:15 __db.001
-rw-r--r--    1 root     root      1310720 Oct 20 22:15 __db.002
-rw-r--r--    1 root     root       360448 Oct 20 22:15 __db.003
[root@landlocked dl]# cat /etc/redhat-release
Red Hat Linux release 7.2 (Enigma)
[root@landlocked dl]#
Comment 1 R P Herrold 2003-04-25 23:48:28 EDT
stale EOL product -- closing

Note You need to log in before you can comment on or make changes to this bug.